Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters
Class ExpandProperties

    java.lang.Object
      java.io.Reader
          java.io.FilterReader
              org.apache.tools.ant.filters.BaseFilterReader
                  org.apache.tools.ant.filters.ExpandProperties

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable, ChainableReader

    public final class ExpandProperties

extends BaseFilterReader
implements ChainableReader

Expands Ant properties, if any, in the data.

Example:

    <expandproperties/>

Or:

    <filterreader
        classname="org.apache.tools.ant.filters.ExpandProperties"/>

Field Summary

Fields inherited from class java.io.FilterReader
`in`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`ExpandProperties()` Constructor for "dummy" instances.
`ExpandProperties(java.io.Reader in)` Creates a new filtered reader.

Method Summary
`void` | `add(PropertySet propertySet)` Restrict the expanded properties using a PropertySet.
`java.io.Reader` | `chain(java.io.Reader rdr)` Creates a new ExpandProperties filter using the passed in Reader for instantiation.
`int` | `read()` Returns the next character in the filtered stream.

Methods inherited from class org.apache.tools.ant.filters.BaseFilterReader
`getInitialized, getProject, read, readFully, readLine, setInitialized, setProject, skip`

Methods inherited from class java.io.FilterReader
`close, mark, markSupported, ready, reset`

Methods inherited from class java.io.Reader
`read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpandProperties

    public ExpandProperties()

  Constructor for "dummy" instances.

  See Also:
    `BaseFilterReader.BaseFilterReader()`

### ExpandProperties

    public ExpandProperties(java.io.Reader in)

  Creates a new filtered reader.

  Parameters:
    `in` - A Reader object providing the underlying stream. Must not be `null`.

Method Detail

### add

    public void add(PropertySet propertySet)

  Restrict the expanded properties using a PropertySet.

  Parameters:
    `propertySet` - replacement lookup

### read

    public int read()
             throws java.io.IOException

  Returns the next character in the filtered stream. The original stream is first read in fully, and the Ant properties are expanded. The results of this expansion are then queued so they can be read character-by-character.

  Overrides:
    `read` in class `java.io.FilterReader`
  Returns:
    the next character in the resulting stream, or -1 if the end of the resulting stream has been reached
  Throws:
    `java.io.IOException` - if the underlying stream throws an IOException during reading

### chain

    public java.io.Reader chain(java.io.Reader rdr)

  Creates a new ExpandProperties filter using the passed in Reader for instantiation.

  Specified by:
    `chain` in interface `ChainableReader`
  Parameters:
    `rdr` - A Reader object providing the underlying stream. Must not be `null`.
  Returns:
    a new filter based on this configuration, but filtering the specified reader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD